Bug 4228 - Неправильная работа макроса %find_lang
: Неправильная работа макроса %find_lang
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 3944
  Show dependency tree
 
Reported: 2004-05-25 13:21 by
Modified: 2005-09-19 11:19 (History)


Attachments
Please try this patch (2.81 KB, patch)
2004-06-09 16:57, Dmitry V. Levin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-25 13:21:06
anjuta.lang
<skip>
%lang(ja) /usr/share/gnome/help/anjuta/ja/figures/warnings.png
%lang(ja) /usr/share/gnome/help/anjuta/ja/figures/watch.png
%lang(ja) /usr/share/gnome/help/anjuta/ja/figures/watch_add.png
%lang(ja) /usr/share/gnome/help/anjuta/ja/anjuta-faqs.xml
%dir /usr/share/omf/anjuta
/usr/share/omf/anjuta/anjuta-tutorial-C.omf
/usr/share/omf/anjuta/anjuta-advanced-tutorial-C.omf
/usr/share/omf/anjuta/anjuta-faqs-C.omf
/usr/share/omf/anjuta/anjuta-manual-C.omf
%lang(de) /usr/share/omf/anjuta/anjuta-tutorial-de.omf
%lang(8) /usr/share/omf/anjuta/anjuta-manual-ja_JP.UTF-8.omf
%lang(8) /usr/share/omf/anjuta/anjuta-faqs-ja_JP.UTF-8.omf
^^^^^^^
в этом месте в локаль указана как ja_JP.UTF-8. %find_lang же, как я
понял, отрывает последние символы между .omf и -.
ну и понятное дело что локали 8 просто нет, соответственно пакет не
собираеться :(
------- Comment #1 From 2004-06-03 19:37:00 -------
Я не знаю, как это правильно исправить - я ничего не понимаю в omf-файлах.
------- Comment #2 From 2004-06-03 21:07:55 -------
Так вроде работает

--- find-lang.orig      2004-06-03 19:46:29 +0400
+++ find-lang   2004-06-03 21:05:58 +0400
@@ -164,7 +164,7 @@
                find "$TOPDIR" -type f |sed '
 s:'"$TOPDIR"'::
 s:\(.*/gnome/help/'"$NAME"'/\)\([^/_]\+\):%lang(\2) \1\2:
-s:\(.*/share/omf/'"$NAME"'/\)\([^/]*-\)\(.*\)\(\.omf\)$:%lang(\3) \1\2\3\4:
+s:\(.*/share/omf/'"$NAME"'/\)\([^/]*-\)\([^0-9].*\)\(\.omf\)$:%lang(\3) \1\2\3\4:
 s:^\([^%].*\)::
 s:%lang(C) ::
                ' |grep -v '^$' >> "$OUTFILE" ||:
------- Comment #3 From 2004-06-09 01:20:10 -------
Я так понимаю, что имя локали всегда начинается со строчной буквы.

Тогда правильно будет так:
s:\(.*/share/omf/'"$NAME"'/\)\([^/]*-\)\([a-z].*\)\(\.omf\)$:%lang(\3)
\1\2\3\4:
------- Comment #4 From 2004-06-09 16:57:00 -------
Created an attachment (id=427) [details]
Please try this patch
------- Comment #5 From 2004-06-10 12:26:51 -------
Работает.
------- Comment #6 From 2004-06-10 21:11:26 -------
Thanks.
Applied the patch, will be fixed in rpm-4.0.4-alt39.